body {
  font-family: Arial, sans-serif;
  background-color: #ff384f;
  margin: 0;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

header {
  background-color: #fc7794;
  color: white;
  padding: 10px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 50px;
  flex-wrap: wrap;
  border-bottom-left-radius: 45px;
  border-bottom-right-radius: 45px;
}

.logo-container {
  display: flex;
  align-items: center;
}

.logo {
  height: 60px;
  margin-right: 10px;
}

.site-name {
  font-size: 1.5em;
  font-weight: bold;
}

nav a {
  color: white;
  text-decoration: none;
  font-size: 1.7em;
  padding: 8px 16px;
  border-radius: 4px;
  transition: background 0.3s;
}

nav a:hover {
  background-color: #3e8e41;
}

footer {
  background-color: #333;
  color: white;
  padding: 10px 0;
  text-align: center;
  margin-top: auto;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.container {
  text-align: center;
  background: #fc7794;
  padding: 20px 100px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin: 20px;
  font-size: 2vw;
}

h2 {
  margin: 0 0 20px;
}

h1 {
  color: white;
}

video {
  max-width: 100%;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.content-section {
  padding: 20px 100px;
  display: flex;
  flex-direction: column;
  gap: 70px;
  overflow: hidden;
  opacity: 0;
  transform: translateX(-100%);
  animation: slideInFromLeft 1.5s ease forwards;
  margin-top: 10vw;
  text-align: center;
  font-size: 75px;
}
@keyframes slideInFromLeft {
  0% {
    opacity: 0;
    transform: translateX(-100%);
  }

  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes slideInFromRight {
  0% {
    opacity: 0;
    transform: translateX(100%);
  }

  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

.about-us {
  padding: 0 25vw;
  opacity: 0;
  animation: slideInFromRight 1.5s ease forwards;
}

.about-us-text {
  color: white;
}

.about-us-text h1 {
  font-size: 75px;
  text-align: center;
}

.about-us-text p {
  font-size: 28px;
  text-align: start;
}

.content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 25vw;
  margin: 0 auto;
  position: relative;
}

.content:nth-child(odd) .content-image {
  transform: rotate(15deg);
}
.content:nth-child(odd) .content-image:hover {
  transform: rotate(-15deg);
}

.content:nth-child(even) .content-image {
  transform: rotate(-15deg);
}
.content:nth-child(even) .content-image:hover {
  transform: rotate(15deg);
}

.content:nth-child(odd) .second-image {
  left: -70%;
}

.content:nth-child(even) .second-image {
  left: 50%;
}

.content-image {
  flex: 1;
  max-width: 15vw;
  transition: transform 0.3s ease;
}
.second-image {
  width: 120%;
  position: absolute;
  opacity: 0;
  transition: opacity 1s ease;
  z-index: -1;
}

.content-image:hover + .second-image {
  opacity: 1;
}

.content-image:hover {
  transition: transform 0.3s ease;
}

.content-text {
  font-size: 50px;
  text-align: center;
}

.strawberry-img {
  transform: rotate(-60deg);
}
@media (max-width: 768px) {
  .logo {
    height: 30px;
  }
  .content-text {
    font-size: 40px;
  }

  .about-us-text p {
    font-size: 20px;
  }
  .about-us-text h1 {
    font-size: 50px;
  }

  .about-us {
    padding: 0 100px;
  }

  .site-name {
    font-size: 1.2em;
  }

  nav a {
    font-size: 1em;
    padding: 6px 12px;
  }

  .container,
  .content-section {
    margin: 10px;
    padding: 15px 20px;
    font-size: 50px;
  }

  .content-image {
    max-width: 200px;
  }
}

@media (max-width: 480px) {
  header {
    flex-direction: column;
    align-items: flex-start;
  }

  .about-us {
    padding: 0 20px;
  }

  .logo-container,
  nav {
    width: 100%;
    justify-content: space-between;
    padding: 10px 0;
  }

  .site-name {
    font-size: 1em;
  }

  nav a {
    font-size: 0.9em;
    padding: 5px 10px;
  }

  .container,
  .content-section {
    margin: 5px;
    padding: 10px;
    font-size: 25px;
  }
  .about-us-text h1 {
    font-size: 30px;
  }

  .content {
    flex-direction: column;
    gap: 10px;
  }

  .content-image,
  .content-text {
    order: unset;
    width: 100%;
  }

  .content-image {
    max-width: 70%;
  }

  .content:nth-child(odd) .second-image {
    top: -30%;
    left: -10%;
  }

  .content:nth-child(even) .second-image {
    top: 30%;
    left: -10%;
  }
}
